package com.zj365.health.fragment

import com.xty.common.Dateutils
import com.xty.common.TimeUtils
import com.zj365.health.vm.SleepVm

class SleepStatisticMonthFrag  : BaseSleepStatisticFrag<SleepVm>() {
    init {
        type = SleepEnum.MONTH.type
        defaultDate = TimeUtils.getMonthTime()
    }


    override fun getXLable(date: String): String {
        return  Dateutils.yearToMonth(date)
    }

    override fun needZoom(): Boolean {
        return true
    }
}